<? $cam_channel_url = ( $this->cam->cam_channel_url ? $this->getLink('ef-cams').$this->cam->cam_channel_url : $this->getLink('ef-cams-broadcaster', array('showname' => $this->about->showname, 'escort_id' => $this->escort->id )) ); ?>

<? if( $this->cam->cam_status == 'free' ): ?>
	<? 	$cam_img = ($this->cam->cam_preview_url? 'https://stream.thecamapi.com/'.$this->cam->cam_preview_url : $this->photos[0]->getUrl('pp'));	?>
	<div id="cam-block" data-cam-screenshot="<?= $this->cam->cam_preview_url? $cam_img : ''?>">
		<div class="cam-pic" >
            <img class="cam-pic-img cam-pic" src="<?= $cam_img .'?t='.date("s")?>" alt="">
			<div class="info-bar">
				<div class="dot"></div>
				<div class="showname"><?= __('escort_is_live_now', array('showname' => $this->about->showname)) ?></div>
				<a href="<?= $cam_channel_url ?>"><div class="button"><?= __('see_my_cam') ?></div></a> 
			</div>
		</div>
	</div>
<? else:?>
	<div id="cam-block">
		<div class="cam-pic" style="background-image: url(<?= $this->photos[0]->getUrl('pp') ?>)">
			<div class="info-bar">
				<div class="dot"></div>
				<div class="showname"><?= $this->about->showname ?><?= __('is').' '.$this->cam->cam_status ?></div>
				<a href="<?= $cam_channel_url ?>"><div class="button"><?= __('see_my_cam') ?></div></a> 
			</div>
		</div>
	</div>
<? endif; ?>